Bug 848131 - logrotate uses inverse umask
Summary: logrotate uses inverse umask
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: logrotate
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Tomas Dolezal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-14 17:47 UTC by Daniel Crisman
Modified: 2014-01-30 09:21 UTC (History)
3 users (show)

Fixed In Version: logrotate-3.7.8-17.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-18 09:35:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch (382 bytes, patch)
2012-08-14 17:47 UTC, Daniel Crisman
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1095 0 normal SHIPPED_LIVE logrotate bug fix update 2013-07-18 13:34:25 UTC

Description Daniel Crisman 2012-08-14 17:47:03 UTC
Created attachment 604377 [details]
patch

The patch for bug 680798 which "fixes the issue by creating temp file with umask 0000" wants to limit access to the temp file so that should be a umask of 0777.

Use of mkstemp with recent versions of glibc covers up this error a bit as the file is created "with permissions 0600".

Version-Release number of selected component (if applicable):
From logrotate-3.7.8-15.el6.src.rpm

Comment 2 RHEL Program Management 2012-09-07 05:11:59 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 8 errata-xmlrpc 2013-07-18 09:35:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1095.html


Note You need to log in before you can comment on or make changes to this bug.